BEEM - Android XMPP - Bug #339

java.lang.lllegalStateException: Not connected to server.
01/30/2011 11:58 AM - Anonymous

Status: Feedback Start date: 01/30/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: XMPP Estimated time: 0.00 hour
Target version:

Affected version: 0.1.x Locale:

Description

Hi, when | try to access my jabber account (hosted at im2.apinc.org with my own domain name) | get the following error in logcat
during the authentification (and beem just crash on the device):

W/System.err ( 9951): java.lang.IllegalStateException: Not connected to server.

W/System.err ( 9951): at org.jivesoftware.smack.XMPPConnection.sendPacket (XMPPConnection. java:47
5)

W/System.err ( 9951): at org.jivesoftware.smack.NonSASLAuthentication.authenticate (NonSASLAuthen
tication. java:69)

W/System.err ( 9951) : at org.jivesoftware.smack.SASLAuthentication.authenticate (SASLAuthenticati
on.java:352)

W/System.err ( 9951): at org.jivesoftware.smack.XMPPConnection.login (XMPPConnection. java:230)
W/System.err ( 9951): at com.beem.project.beem.service.XmppConnectionAdapter.login (XmppConnectio
nAdapter.java:208)

W/System.err ( 9951): at com.beem.project.beem.service.LoginAsyncTask.doInBackground (LoginAsyncT
ask.java:100)

W/System.err ( 9951): at com.beem.project.beem.service.LoginAsyncTask.doInBackground (LoginAsyncT

ask.java:57)

W/System.err ( 9951) : at android.os.AsyncTask$2.call (AsyncTask.java:185)

W/System.err ( 9951): at java.util.concurrent.FutureTask$Sync.innerRun (FutureTask.java:305)
W/System.err ( 9951): at java.util.concurrent.FutureTask.run (FutureTask.java:137)

W/System.err ( 9951): at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor. ja
va:1068)

W/System.err ( 9951): at Jjava.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolExecutor. j
ava:561)

W/System.err ( 9951) : at java.lang.Thread.run (Thread. java:1096)

W/dalvikvm( 9951): threadid=17: thread exiting with uncaught exception (group=0x4001b180)
E/AndroidRuntime ( 9951): Uncaught handler: thread AsyncTask #1 exiting due to uncaught exception
E/AndroidRuntime ( 9951): java.lang.RuntimeException: An error occured while executing doInBackgrou
nd ()

E/AndroidRuntime ( 9951) : at android.os.AsyncTask$3.done (AsyncTask. java:200)
E/AndroidRuntime ( 9951) : at java.util.concurrent.FutureTask$Sync.innerSetException (FutureTa
sk.java:273)

E/AndroidRuntime ( 9951) : at java.util.concurrent.FutureTask.setException (FutureTask. java:12
4)

E/AndroidRuntime ( 9951) : at java.util.concurrent.FutureTask$Sync.innerRun (FutureTask. java:3
07)

E/AndroidRuntime ( 9951) : at java.util.concurrent.FutureTask.run (FutureTask.java:137)
E/AndroidRuntime ( 9951) : at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExe
cutor.java:1068)

E/AndroidRuntime ( 9951) : at java.util.concurrent.ThreadPoolExecutor$Worker.run (ThreadPoolEx
ecutor. java:561)

E/AndroidRuntime ( 9951) : at java.lang.Thread.run (Thread. java:1096)

E/AndroidRuntime ( 9951): Caused by: java.lang.IllegalStateException: Not connected to server.
E/AndroidRuntime ( 9951): at org.jivesoftware.smack.XMPPConnection.sendPacket (XMPPConnection
.java:475)

E/AndroidRuntime ( 9951) : at org.jivesoftware.smack.NonSASLAuthentication.authenticate (NonSA
SLAuthentication.java:69)

E/AndroidRuntime ( 9951) : at org.jivesoftware.smack.SASLAuthentication.authenticate (SASLAuth
entication. java:362)

E/AndroidRuntime ( 9951): at org.jivesoftware.smack.XMPPConnection.login (XMPPConnection. java
:230)

E/AndroidRuntime ( 9951) : at
onnectionAdapter. java:208)
E/AndroidRuntime ( 9951) : at
inAsyncTask.java:100)
E/AndroidRuntime ( 9951) : at
inAsyncTask. java:57)
E/AndroidRuntime ( 9951) : at
E/AndroidRuntime ( 9951) : at
05)

E/AndroidRuntime ( 9951) :
I/Process ( 1999): Sending signal.

com.beem.project.beem.service.XmppConnectionAdapter.login (XmppC
com.beem.project.beem.service.LoginAsyncTask.doInBackground (Log
com.beem.project.beem.service.LoginAsyncTask.doInBackground (Log

android.os.AsyncTask$2.call (AsyncTask.java:185)
java.util.concurrent.FutureTask$Sync.innerRun (FutureTask. java:3

4 more
PID: 9951 SIG: 3

I/dalvikvm( 9951): threadid=7: reacting to signal 3
I/dalvikvm( 9951): Wrote stack trace to '/data/anr/traces.txt'

What is strange is that if | use a wrong user/pass, it just tells me it cannot authenticate.

I am not Android 2.1 with last version of beem from Market (0.1.4).

History

#1 - 01/30/2011 04:03 PM - Victor N

Hi, | registered to answer:

The problem is not there with the last 0.1.5 beta :)

#2 - 04/20/2011 04:12 PM - Whatcha Computer

| am having this same problem with 0.1.5 from hg and from the source files. Is there a fix for this?

#3 - 02/21/2012 02:34 PM - Frédéric Barthéléry
- Priority changed from High to Normal

#4 - 06/22/2012 12:57 PM - Frédéric Barthéléry

- Status changed from New to Feedback
